# KSPRegisterDestroy

Frees the list of KSP methods that were registered by KSPRegisterDynamic().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPRegisterDestroy(void)

Not Collective

### Keywords

KSP, register, destroy

### See Also

KSPRegisterDynamic(), KSPRegisterAll()

Level:advanced
Location: src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages